org.apache.tools.ant.types.resources

## Interface FileProvider

All Known Implementing Classes:
  FileResource

    public interface FileProvider

This is an interface that resources that can provide a file should implement. This is a refactoring of `FileResource`, to allow other resources to act as sources of files (and to make components that only support file-based resources from only support FileResource resources.

Since:
  Ant 1.8

### Method Summary

Methods
`java.io.File` `getFile()` Get the file represented by this Resource.

### Method Detail

#### getFile

    java.io.File getFile()

Get the file represented by this Resource.

Returns:
  the file.